Skip to main content
GET
Retrieve a lead

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Example:

"lead_mi4f0oda6x9m7gcsvjk0ole1"

Response

Retrieve the lead details

object
enum<string>
required
Available options:
lead
id
string
required

Unique identifier for the lead

Example:

"lead_a8n8ol7yd4h0wohx824f0bui"

URL of the lead

Example:

"https://nomos.checkout.energy/?id=lead_a8n8ol7yd4h0wohx824f0bui"

created_at
required

Timestamp when the lead was created

Example:

"2024-03-14T12:00:00Z"

subscription
string | null

ID of the subscription, if the lead is converted to a subscription

Example:

"sub_a8n8ol7yd4h0wohx824f0bui"

subscribed_at

Timestamp when the lead was converted to a subscription

Example:

"2024-03-14T12:00:00Z"

created_by
string | null

Email of the user who created the lead

Example:

"john.doe@example.com"

last_visited_at

Timestamp when the lead was last visited

Example:

"2024-03-14T12:00:00Z"

metadata
object | null

Metadata of the lead, can be internal data

Example: